classification
Title: Bytes support in os.fwalk()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: larry, loewis, neologix, serhiy.storchaka, vstinner, zmedico, ztane
Priority: normal Keywords: patch

Created on 2016-11-13 09:24 by serhiy.storchaka, last changed 2017-03-24 22:43 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
fwalk-bytes.patch serhiy.storchaka, 2016-11-13 09:24 review
Pull Requests
URL Status Linked Edit
PR 489 merged serhiy.storchaka, 2017-03-05 22:27
Messages (4)
msg280690 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-13 09:24
os.walk() supports string and bytes paths, but os.fwalk() always supported only string paths. Proposed patch adds support of bytes paths in os.fwalk().
msg281760 - (view) Author: Antti Haapala (ztane) * Date: 2016-11-26 09:02
shouldn't this get in sooner, as the 3.5.2 documentation says that it behaves exactly like `os.walk`, with some additions, none of which says "bytes paths are not supported". This looks like a bug to me.
msg281819 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-11-27 11:00
Bytes path support is os.walk() is not documented. Actual behavior of os.fwalk() doesn't contradict the documentation.
msg290278 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-03-24 22:43
New changeset 8f6b344d368c15c3fe56c65c2f2776e7766fef55 by Serhiy Storchaka in branch 'master':
bpo-28682: Added support for bytes paths in os.fwalk(). (#489)
https://github.com/python/cpython/commit/8f6b344d368c15c3fe56c65c2f2776e7766fef55
History
Date User Action Args
2017-03-24 22:43:36serhiy.storchakasetmessages: + msg290278
2017-03-17 21:05:32larrysetpull_requests: - pull_request580
2017-03-17 21:00:32larrysetpull_requests: + pull_request580
2017-03-08 15:24:23serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-03-05 22:27:15serhiy.storchakasetpull_requests: + pull_request402
2017-01-03 14:36:05vstinnersetnosy: + vstinner
2016-12-26 19:55:22serhiy.storchakasetnosy: + neologix
2016-11-27 11:00:28serhiy.storchakasetmessages: + msg281819
2016-11-26 09:02:22ztanesetnosy: + ztane
messages: + msg281760
2016-11-23 21:26:30zmedicosetnosy: + zmedico
2016-11-13 09:24:10serhiy.storchakacreate